package com.ethornium.encoding;

import java.util.HashMap;

public class Contract {
    final private String name;
    final private Integer id;
    final private String bytecode;
    private String balance = null;
    private String address = null;
    private String abi = null;
    public Contract(final String name, final int id, final String bytecode){
        this.name = name;
        this.id = id;
        this.bytecode = bytecode;
    }
    public void assignBalance(String balance){
        this.balance = balance;
    }
    public String getBalance(){
        return balance;
    }
    public void assignAddress(String address){
        this.address = address;
    }
    public String getAddress(){
        return address;
    }
    public void assignAbi(String abi){
        this.abi = abi;
    }
    public String getAbi(){
        return abi;
    }
    public String getBytecode(){
        return bytecode;
    }
    public String getName(){
        return name;
    }
}
