package com.ethornium.encoding;

import com.ethornium.encoding.enums.ESort;

import java.util.ArrayList;
import java.util.Arrays;

public class EFunc {
    final String name;
    final ArrayList<ESort> sorts;
    public EFunc(final String name, ESort... sorts) {
        this.name = name;
        this.sorts = new ArrayList<>(Arrays.asList(sorts));
    }
    public String getName(){
        return this.name;
    }
    public ArrayList<ESort> getSorts(){
        return this.sorts;
    }
}
