package com.ethornium.util;

public class Block {
    final private String totalDifficulty;
    final private String nonce;
    final private String difficulty;
    final private String gasLimit;
    final private String number;
    final private String size;
    final private String hash;
    final private String timestamp;
    final private String receiptsRoot; //used for coinbase?
    final private String gasPrice;
    public Block(String totalDifficulty, String nonce, String difficulty, String gasLimit, String number, String size, String hash, String timestamp, String receiptsRoot,
                 String gasPrice){
        this.totalDifficulty = totalDifficulty;
        this.nonce = nonce;
        this.difficulty = difficulty;
        this.gasLimit = gasLimit;
        this.number = number;
        this.size = size;
        this.hash = hash;
        this.timestamp = timestamp;
        this.receiptsRoot = receiptsRoot;
        this.gasPrice = gasPrice;
    }

    public String getDifficulty() {
        return difficulty;
    }

    public String getNonce() {
        return nonce;
    }

    public String getGasLimit() {
        return gasLimit;
    }

    public String getHash() {
        return hash;
    }

    public String getSize() {
        return size;
    }

    public String getNumber() {
        return number;
    }

    public String getReceiptsRoot() {
        return receiptsRoot;
    }

    public String getTimestamp() {
        return timestamp;
    }

    public String getTotalDifficulty() {
        return totalDifficulty;
    }

    public String getGasPrice() {return gasPrice; }
}
