package com.ethornium.encoding;

import com.ethornium.encoding.enums.ESort;

public class AtomExpr {
    final ESort sort;
    int value;
    Boolean bvalue = null;
    String svalue = null;

    public AtomExpr(int value){
        this.sort = ESort.IntConst;
        this.value = value;         //constant value
    }
    public AtomExpr(String value){
        this.sort = ESort.IntConst;
        this.svalue = value;         //constant value
    }
    public AtomExpr(ESort sort, int value){
        this.sort = sort;
        this.value = value;         //index of the variable
    }
    public AtomExpr(boolean value){
        this.sort = ESort.BoolConst;
        this.bvalue = value;
    }
    public int getIntValue(){
        return value;
    }
    public String getStringValue(){
        return svalue;
    }
    public boolean getBoolValue() { return  bvalue; }
    public ESort getSort(){
        return sort;
    }
}